{: test a compilation error is gracefully handled for undeclared record member }

{$d+}
program e009( output );

var
   i : integer;
   r : record
          ma, mb : array[1..10] of real;
          mx     : array[1..10] of real;
       end;

begin {e009}

   for i := 1 to 10 do r.ma[i] := 1+9;
   r.mb := r.ma;  {OK}
   r.mc := r.ma;  { !!! mc is not declared }
   writeln( 'fails: incompatible type error not detected' );

end. {e009}


